//
//  audioViewController.m
//  audio
//
//  Created by eBookFrenzy.com on 4/28/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "audioViewController.h"

@implementation audioViewController
@synthesize volumeControl, timerLabel, playbackTimer;

-(void)playAudio
{
    playbackTimer = [NSTimer scheduledTimerWithTimeInterval:1.0
                                target:self 
                                selector:@selector(updateTime) 
                                userInfo:nil 
                                repeats:YES];
    [audioPlayer play];
}

-(void)stopAudio
{
    [playbackTimer invalidate];
    [audioPlayer stop];
}

-(void)adjustVolume
{
    if (audioPlayer != nil)
    {
        audioPlayer.volume = volumeControl.value;
    }
} 

-(void)updateTime
{
    float minutes = floor(audioPlayer.currentTime/60);
    float seconds = audioPlayer.currentTime - (minutes * 60);
    
    float duration_minutes = floor(audioPlayer.duration/60);
    float duration_seconds = audioPlayer.duration - (duration_minutes * 60);
    
    NSString *timeInfoString = [[NSString alloc] initWithFormat:@"%0.0f.%0.0f / %0.0f.%0.0f", 
                                minutes, seconds, duration_minutes, duration_seconds];
    
    timerLabel.text = timeInfoString;
    
    [timeInfoString release];
}

- (void)dealloc
{
    [audioPlayer release];
    [volumeControl release];
    [timerLabel release];
    [super dealloc];
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle


// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad
{
    [super viewDidLoad];
    NSURL *url = [NSURL fileURLWithPath:[[NSBundle mainBundle]
                                         pathForResource:@"Kalimba"
                                         ofType:@"mp3"]];
    
    NSError *error;
    audioPlayer = [[AVAudioPlayer alloc]
                   initWithContentsOfURL:url
                   error:&error];
    if (error)
    {
        NSLog(@"Error in audioPlayer: %@", 
              [error localizedDescription]);
    } else {
        audioPlayer.delegate = self;
        [audioPlayer prepareToPlay];
    }

}


- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
    audioPlayer = nil;
    volumeControl = nil;
    timerLabel = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return YES;
}

-(void)audioPlayerDidFinishPlaying:
(AVAudioPlayer *)player successfully:(BOOL)flag
{
}
-(void)audioPlayerDecodeErrorDidOccur:
(AVAudioPlayer *)player error:(NSError *)error
{
}
-(void)audioPlayerBeginInterruption:(AVAudioPlayer *)player
{
}
-(void)audioPlayerEndInterruption:(AVAudioPlayer *)player
{
}

@end
