//
//  mapSampleViewController.m
//  mapSample
//
//  Created by eBookFrenzy.com on 4/26/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "mapSampleViewController.h"

@implementation mapSampleViewController
@synthesize mapView;

- (void)dealloc
{
    [super dealloc];
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle


// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad
{
    [super viewDidLoad];

    mapView.showsUserLocation = YES;
    
    UIBarButtonItem *zoomButton = [[UIBarButtonItem alloc] initWithTitle: @"Zoom" 
                            style:UIBarButtonItemStylePlain 
                            target: self 
                            action:@selector(zoomIn:)];
    
    self.navigationItem.rightBarButtonItem = zoomButton;
    [zoomButton release];
    
    UIBarButtonItem *typeButton = [[UIBarButtonItem alloc] initWithTitle: @"Type" 
                            style:UIBarButtonItemStylePlain 
                            target: self 
                            action:@selector(changeMapType:)];
    
    self.navigationItem.leftBarButtonItem = typeButton;
    [typeButton release];

    mapView.delegate = self;
    
    CLLocationCoordinate2D annotationCoord;
    
    annotationCoord.latitude = 47.640071;
    annotationCoord.longitude = -122.129598;
    
    MKPointAnnotation *annotationPoint = [[MKPointAnnotation alloc] init];
    annotationPoint.coordinate = annotationCoord;
    annotationPoint.title = @"Microsoft";
    annotationPoint.subtitle = @"Microsoft's headquarters";
    [mapView addAnnotation:annotationPoint];

}

- (void)zoomIn: (id)sender
{
    
    MKUserLocation *userLocation = mapView.userLocation;
    //MKCoordinateSpan span = MKCoordinateSpanMakeWithDistance(0.001f, 0.001f);
    MKCoordinateRegion region = MKCoordinateRegionMakeWithDistance(userLocation.location.coordinate, 10, 10);
    [mapView setRegion:region animated:NO];
}

- (void) changeMapType: (id)sender
{
    if (mapView.mapType == MKMapTypeStandard)
        mapView.mapType = MKMapTypeSatellite;
    else
        mapView.mapType = MKMapTypeStandard;
}

- (void)mapView:(MKMapView *)mapView didUpdateUserLocation:(MKUserLocation *)userLocation
{
    self.mapView.centerCoordinate = userLocation.location.coordinate;
}


- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return YES;
}

@end
